<!DOCTYPE HTML PUBLIC "-//W3O//DTD W3 HTML 2.0//EN">
<!-- This collection of hypertext pages is Copyright 1995, 1996 by Steve Summit. -->
<!-- This material may be freely redistributed and used -->
<!-- but may not be republished or sold without permission. -->
<html>
<head>
<link rev="owner" href="mailto:scs@eskimo.com">
<link rev="made" href="mailto:scs@eskimo.com">
<title>section 7.8.3: Ungetc</title>
<link href="sx10i.html" rev=precedes>
<link href="sx10k.html" rel=precedes>
<link href="sx10.html" rev=subdocument>
</head>
<body>
<H2>section 7.8.3: Ungetc</H2>

<p>There's not much more to say about <TT>ungetc</TT>,
but two more stdio functions which
might
deserve mention are 
<TT>fread</TT> and <TT>fwrite</TT>.
</p><p><TT>getc</TT> and <TT>putc</TT>
(and <TT>getchar</TT> and <TT>putchar</TT>)
allow you to read and write a character at a time,
while
<TT>fgets</TT> and <TT>fputs</TT> read and write a line at a time.
The <TT>printf</TT> family of routines does formatted output,
and the <TT>scanf</TT> family does formatted input.
But what if you want to read or write a big block of 
unformatted characters, not necessarily one line long?
You could use <TT>getc</TT> or <TT>putc</TT> in a loop,
but another solution is to use
the <TT>fread</TT> and <TT>fwrite</TT> functions,
which are
(briefly) described in appendix B1.5 on page 247.
</p><hr>
<p>
Read sequentially:
<a href="sx10i.html" rev=precedes>prev</a>
<a href="sx10k.html" rel=precedes>next</a>
<a href="sx10.html" rev=subdocument>up</a>
<a href="top.html">top</a>
</p>
<p>
This page by <a href="http://www.eskimo.com/~scs/">Steve Summit</a>
// <a href="copyright.html">Copyright</a> 1995, 1996
// <a href="mailto:scs@eskimo.com">mail feedback</a>
</p>
</body>
</html>
